Subject: Re: [PATCH] Quieten cache information at boot

From: Olof Johansson <[email-masked]>
Date: Sun, 14 Oct 2007 15:14:31 -0500

On Sun, Oct 14, 2007 at 02:33:17PM -0500, Anton Blanchard wrote:
> 
> After 6 years the ppc64 kernel still thinks its important to tell me my
> cache line size is 0x80 bytes. I think most people who care know that by
> now. The rest probably cant even understand the hex output.
> 
> Since we might have misconfigured firmware or cpus that have a linesize
> that isnt 128 bytes, I still print it out for those cases. If people
> would prefer to remove it completely, lets do it.

Let's just remove it completely. I have yet to see a bug because of it,
and we have 0x40 byte cache lines.

If anything, compare firmware setting to cputable one and print a warning.

Should maybe give them loglevels too, since you're touching them? I
suggest KERN_DEBUG -- if needed it's there in dmesg, and if you need it
on the console you can just add "debug" to the kernel command line.

-Olof